[ARVADOS-DEV] updated: df2909cca7fca217a5342e5e1128ec5cccbfa1c2
git at public.curoverse.com
git at public.curoverse.com
Thu Nov 5 20:55:49 EST 2015
Summary of changes:
jenkins/run-tests.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
discards efe942b09b246c1d658ab7280e890d70f45a9f8f (commit)
via df2909cca7fca217a5342e5e1128ec5cccbfa1c2 (commit)
This update added new revisions after undoing existing revisions. That is
to say, the old revision is not a strict subset of the new revision. This
situation occurs when you --force push a change and generate a repository
containing something like this:
* -- * -- B -- O -- O -- O (efe942b09b246c1d658ab7280e890d70f45a9f8f)
\
N -- N -- N (df2909cca7fca217a5342e5e1128ec5cccbfa1c2)
When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit df2909cca7fca217a5342e5e1128ec5cccbfa1c2
Author: Tom Clegg <tom at curoverse.com>
Date: Thu Nov 5 20:55:51 2015 -0500
Add libwww-perl and python mock dependencies, so tests can run on ubuntu 12.04
No issue #
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 8e845cb..1946c47 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -173,7 +173,7 @@ sanity_checks() {
for mod in ExtUtils::MakeMaker JSON LWP Net::SSL; do
echo -n "perl $mod: "
perl -e "use $mod; print \"\$$mod::VERSION\\n\"" \
- || fatal "No $mod. Try: apt-get install perl-modules libcrypt-ssleay-perl libjson-perl"
+ || fatal "No $mod. Try: apt-get install perl-modules libcrypt-ssleay-perl libjson-perl libwww-perl"
done
echo -n 'gitolite: '
which gitolite \
@@ -391,7 +391,8 @@ setup_virtualenv() {
if ! [[ -e "$venvdest/bin/activate" ]] || ! [[ -e "$venvdest/bin/pip" ]]; then
virtualenv --setuptools "$@" "$venvdest" || fatal "virtualenv $venvdest failed"
fi
- "$venvdest/bin/pip" install 'setuptools>=18' 'pip>=7'
+ # ubuntu1204 can't install mock as a dependency in python2.7
+ "$venvdest/bin/pip" install 'setuptools>=18' 'pip>=7' 'mock>=1.0'
}
export PERLINSTALLBASE
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list